Timer icon runs despite being not started/paused

Bug #595936 reported by Ward Muylaert on 2010-06-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Docky
Low
Robert Dyer

Bug Description

What happpens:
I create a timer (in my case, mostly 25 minutes), but I don't click on it to start it yet. After some time (10 minutes for example) I will notice the arrow in the icon has moved even though the timer still hasn't been started. It will continue to change over several intervals of time (I have not determined a consistent pattern). This is rather confusing considering you don't expect any movement on a timer that isn't started yet. If I then actually start the timer, the arrow will point back at the start and act normal from there on.
However, pausing the timer and waiting some time again, the arrow will also have moved again despite the timer being paused. Subsequently continuing the timer from the paused point, will make the arrow jump back to its normal position (that is, the point where it got paused at) and then act normal again.

I am lead to assume something internally counts on?

If this is done on purpose, then I can only say it works rather confusing.

Random info:
[Info 15:05:11.575] Docky version: 2.1.0 bzr docky r1491 ppa
[Info 15:05:11.586] Kernel version: 2.6.32.22
[Info 15:05:11.587] CLR version: 2.0.50727.1433

Ubuntu 10.04

$ Xorg -version

X.Org X Server 1.7.6
Release Date: 2010-03-17
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.24-27-server i686 Ubuntu
Current Operating System: Linux sekhmet 2.6.32-22-generic #36-Ubuntu SMP Thu Jun 3 22:02:19 UTC 2010 i686
Kernel command line: root=UUID=bb805eb7-16a6-4851-b264-a65f3f6ac5e9 ro quiet splash
Build Date: 09 June 2010 10:55:28AM
xorg-server 2:1.7.6-2ubuntu7.1 (For technical support please see http://www.ubuntu.com/support)
Current version of pixman: 0.16.4
 Before reporting problems, check http://wiki.x.org
 to make sure that you have the latest version.

NVidia GeForce 8600 GT

Gnome 2.30.0

Robert Dyer (psybers) wrote :

Should be fixed in 1495. Let me know if it isn't.

Changed in docky:
importance: Undecided → Low
status: New → Fix Committed
assignee: nobody → Robert Dyer (psybers)
milestone: none → 2.1.0
Changed in docky:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers